## com.lowagie.text.pdf
Interface ExtraEncoding

All Known Implementing Classes:
  PdfEncodings.Cp437Conversion, PdfEncodings.SymbolConversion, PdfEncodings.SymbolTTConversion, PdfEncodings.WingdingsConversion

    public interface ExtraEncoding

Classes implementing this interface can create custom encodings or replace existing ones. It is used in the context of `PdfEncoding`.

Author:
  Paulo Soares (psoares@consiste.pt)

Method Summary
`java.lang.String` `byteToChar(byte[] b, java.lang.String encoding)` Converts a byte array to an Unicode string according to some encoding.
`byte[]` `charToByte(java.lang.String text, java.lang.String encoding)` Converts an Unicode string to a byte array according to some encoding.

Method Detail

### charToByte

    byte[] charToByte(java.lang.String text,
                      java.lang.String encoding)

  Converts an Unicode string to a byte array according to some encoding.

  Parameters:
    `text` - the Unicode string
    `encoding` - the requested encoding. It's mainly of use if the same class supports more than one encoding.
  Returns:
    the conversion or `null` if no conversion is supported

### byteToChar

    java.lang.String byteToChar(byte[] b,
                                java.lang.String encoding)

  Converts a byte array to an Unicode string according to some encoding.

  Parameters:
    `b` - the input byte array
    `encoding` - the requested encoding. It's mainly of use if the same class supports more than one encoding.
  Returns:
    the conversion or `null` if no conversion is supported